v1.0.0
OpenAPI 3.1.0

Check for unpublished changes

US region

Client Libraries

Check for unpublished changes

Check whether a linked email, or any of its translations, has content changes that haven't been published yet. Use this to decide whether you need to publish before changes go live.

Returns false for emails that aren't linked to a workflow or that have no pending changes.

Path Parameters
  • id
    Type: stringFormat: uuid
    required

    The UUID of the email. If your email has multiple languages, you must provide the ID of the default language template. This links the workflow to all of the language variants for the template.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/design_studio/emails/{id}/unpublished_changes
curl https://api.customer.io/v1/design_studio/emails/123e4567-e89b-12d3-a456-426614174000/unpublished_changes
{
  "has_unpublished_changes": true
}